package utils

const (
	Md5Key = "Ks@h64WJ#tcVgG8$&WlNfqvLAtMgpxWN"
)

// 常量定义
const (
	FormatTime            = "15:04:05"                //时间格式
	FormatDate            = "2006-01-02"              //日期格式
	FormatDateUnSpace     = "20060102"                //日期格式
	FormatDateTime        = "2006-01-02 15:04:05"     //完整时间格式
	HlbFormatDateTime     = "2006-01-02_15:04:05.999" //完整时间格式
	FormatDateTimeUnSpace = "20060102150405"          //完整时间格式
	EmptyDateTimeStr      = "0000-00-00 00:00:00"     //DateTime零值字符串
	EmptyDateStr          = "0000-00-00"              //Date零值字符串
	PageSize15            = 15                        //列表页每页数据量
	PageSize5             = 5
	PageSize10            = 10
	PageSize20            = 20
	PageSize30            = 30
)

const (
	APPNAME = "ETA报告服务"
)

// 手机号，电子邮箱正则
const (
	RegularMobile = "^((13[0-9])|(14[5|7])|(15([0-3]|[5-9]))|(18[0-9])|(17[0-9])|(16[0-9])|(19[0-9]))\\d{8}$" //手机号码
	RegularEmail  = `\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*`                                             //匹配电子邮箱
)

// 验证码code
const (
	REGISTER_CODE = iota + 1 //注册
	LOGIN_CODE               //登录
)

// 聚合短信
var (
	JhGnTplId = "65692" //聚合国内模板编码
	JhGjTplId = "10054" //聚合国内模板编码

	JhGnAppKey = "4c8504c49dd335e99cfd7b6a3a9e2415" //聚合国内AppKey
	JhGjAppKey = "3326ad2c1047a4cd92ace153e6044ca3"
)

// 科大讯飞--语音合成
const (
	XfSTATUS_FIRST_FRAME    = 0 //第一帧标识
	XfSTATUS_CONTINUE_FRAME = 1 //中间帧标识
	XfSTATUS_LAST_FRAME     = 2 //最后一帧标识
	XfAPPID                 = "5ed70e9d"
	XfAPIKey                = "d580509ca262e9586fb65a7064d5ce77"
	XfAPISecret             = "a085720dc55850c720fa5576335f847a"
	XfHostUrl               = "wss://tts-api.xfyun.cn/v2/tts"
	XfOrigin                = "http://tts-api.xfyun.cn/"
	XfHost                  = "tts-api.xfyun.cn"
)

// 客户状态
const (
	COMPANY_STATUS_TRY_OUT   = "试用"
	COMPANY_STATUS_FOREVER   = "永续"
	COMPANY_STATUS_FREEZE    = "冻结"
	COMPANY_STATUS_LOSE      = "流失"
	COMPANY_STATUS_FORMAL    = "正式"
	COMPANY_STATUS_POTENTIAL = "潜在"
)

// 缓存key
const (
	CACHE_KEY_USER_VIEW = "user_view_record" //用户阅读数据
)

const (
	key = "KcSJaJoUBC2ZAA7HEWpaiH49" //全局加密KEY
)

const (
	CACHE_CREATE_REPORT_IMGPDF_QUEUE = "eta_report:report_img_pdf_queue" // 生成报告长图PDF队列
)

// 缓存key
const (
	CACHE_WX_ACCESS_TOKEN_HZ   = "wx:accesstoken:hzyj" //弘则研究公众号 微信accessToken
	HZ_ADMIN_WX_ACCESS_TOEKN   = "hz_admin:wx:access_token:"
	CACHE_WX_ACCESS_TOKEN_CYGX = "xygxxzs_wxtoken" //查研观向小助手公众号 微信accessToken
	ETA_WX_ACCESS_TOEKN        = "eta:wx:access_token:"
)

// 商户号
const (
	BusinessCodeSandbox = "E2023080700" // 试用平台
	BusinessCodeRelease = "E2023080900" // 生产环境
)
